package com.example.doublescreen;

import android.app.Presentation;
import android.content.Context;
import android.graphics.Point;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.view.Display;
import android.widget.ImageView;

import androidx.annotation.RequiresApi;

/**
 * Created by Orion on 2021/10/26.
 */

@RequiresApi(api = Build.VERSION_CODES.JELLY_BEAN_MR1)
public class BSImageDisplay extends Presentation {

    private ImageView mBSImageView;

    private int screenWidth = 0;
    private float scaleX = 0;

    public BSImageDisplay(Context outerContext, Display display) {
        super(outerContext, display);
        Point pt = new Point();
        display.getSize(pt);
        screenWidth = pt.y * pt.y / pt.x;
        scaleX = pt.x * 1.0f * pt.x / pt.y / pt.y;

    }

    @RequiresApi(api = Build.VERSION_CODES.LOLLIPOP)
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.bs_image_layout);
        //大屏分辨率因为横竖屏的问题，需要一次转换，所以有了如下的转换代码。没有这一次转换会出现长宽比例不对的问题。
        //Because there is a problem, we have to rotate the screen, so we have the code below
        findViewById(R.id.bg_image_main).getLayoutParams().width = screenWidth;
        findViewById(R.id.bg_image_main).setScaleX(scaleX);

        this.mBSImageView = findViewById(R.id.bs_image);
        this.mBSImageView.setImageDrawable(getContext().getDrawable(R.drawable.ic_launcher_foreground));
    }

    public void setBSImage(Drawable drawable) {
        this.mBSImageView.setImageDrawable(drawable);
    }

}
